---
title: Why The DVS-2 Port Is Better For Digital Modes
layout: page
date: 2023-01-15 04:05:58
category: FT1000MP
excerpt_separator: <!--more-->
---

Recently over the holidays I took possession of a Yaesu FT-1000MP MARK-V. It's an "extended loan" arrangement thanks to a couple of guys from
<a href="https://w4ovh.net" target="_blank">the local club</a>, KG4NXT and N7QLK. One of the reasons this rig was available to hand-off to me is they are
serious FT8 operators; and they claimed they could not get the MKV to operate FT8 reliably. I took this as a challenge. I poked around the internet and 
found that many indicated they had similar problems operating the MKV on digital modes; and a little more searching showed why.

### The Packet Port

<img class="wrap-left" src="/images/ft1000packetport.jpg"> Conventional wisdom says to use the PACKET or DATA port on your radio. On a few of my previous
rigs that lacked an internal USB codec, this is how it was done. Both of these rigs were also iCom. It's also not uncommon for the audio on the this port
to only be available in a data mode as opposed to normal LSB/USB mode. But the hangup with the FT-1000MP is that this port is "locked" to LSB mode. It is
literally designed to be just for packet communications, which usually happen in LSB mode. 

<img class="wrap-right" src="/images/page18.jpg">But while the default mode for the PKT mode is software-locked for LSB, there's a little trick hiding in the menus; User Mode. It is possible to specify a
custom "User Mode" for PKT that you activate by holding the button for .5 seconds after entering the mode. Page 18 of the manual even talks about setting the User Mode to
PS31-SU for USB mode. <a href="http://lists.contesting.com/_yaesu/2004-05/msg00007.html" target="_blank">KN4LF even confirmed this in a 2004 mailing list posting.</a> He
even mentions the very confusing fact that the radio will continue to indicate LSB mode even when in User Mode set to PS31-SU. The sheet of paper clipped to the manual
(as I did get the physical book) which talks about doing FT8 on this radio said to leave User Mode off.

So, at this point, I was pretty sure I'd cracked the problem. It was in fact a menu option that was getting missed compounded by bad information from the radio. I wouldn't
have to resort to the universal hack of interfacing with the MIC and headphone jacks. I just had to wait for the parts to build my interface to arrive. When they did, I wired
everything up, set the radio's User Mode to PS31-SU, and was working FT8 reliably. All I had to do was flip the main and sub VFOs to User Mode rather than let WSJT-X do it.
Even this could be set-up to take advantage of the "front/back" VFO feature you get when tapping a band button a second time; as they remember the previously used mode. I
think the radio would even flip to the "back" VFO when the frequency was set over CAT. Either way, I was off to the races and operating FT8; right?

Well, not entirely.

### PKT Filtering

<img src="/images/iffilters.jpg">
One of the issues I became aware of after a day or two was the IF filtering in PKT mode. The MKV has no shortage of filter configurations as you can see from the image
taken from the manual; and even those can be configured from within the menu. But take a look at the PKT options. The widest you can make this is 2.4khz. Since my previous
rigs were either barn-door wide or at least 3khz; this meant I was missing activity above 2500 on the FT8 spectrum. People do operate up there, so it might be nice to
not exclude them. But, thankfully, my desire to DIY/hack together everything I could for this radio lead me down another path, the DVS-2 port.

### Any Port In A QSO

<img src="/images/dvsbanner.jpg">
<img class="wrap-left" src="/images/dvsport.jpg">One of the things on my list was to see about home-brewing a DVS-2. I didn't feel like spending the money to find one on that auction site, in fact I refuse to do any
business with that place to start with. I knew the port had some additional control lines other than just audio and PTT, so I did a little digging around to see what
they might do. That's when I stumbled across <a href="https://www.va3cr.net/accessories/DVS2.htm">VA3CR's page</a> (SSL expired) about the DVS-2 as well as 
<a href="https://www.qsl.net/gm0onx/ft1000mp%20interface.htm" target="_blank"> GM0ONX's page</a> about an interface that used the DVS-2 port. Both pages provided information
about interfacing with this port, with VA3CR's page providing a truth-table for the control lines. Though I'd originally planned on making a hardware device for voice-keying, 
this was just single-tracked thought. Both of these pages gave me the solution I really needed: just interface with the DVS-2 port. The muting of the microphone when keying
the port properly would avoid issues I had with my IC-725 of needing to unplug the microphone, it would allow me to work digital modes with wide filtering, and it would allow
easy operation of software voice keyers, like N1MM, in a contest in a seamless fashion. Audio from the PC when the DVS-2 port is triggered, audio from the mic when I key up. 
The interfacing was also quite easy. While I would have normally provided some isolation on the key lines; the DVS-2 port being designed for an external device made me skip
all of that. In fact, GM0ONX's diagram of driving both control lines from the RTS line along with a transistor for PTT seemed too good to be true. 

### Now We're Cookin' With RF

<a href="/images/wsjt-flat.jpg" target="_blank"><img src="/images/wsjt-flat.jpg"></a>
The results with this method were absolutely outstanding. I think the screenshot speaks for itself; a nice flat response all the way to 3100 and beyond, right to the 
limit of 5000 the software will handle. Of course, I have my "Normal" IF bandwidth set to as wide as I can get it. I can let WSJT-X set the modes of the main and
sub VFOs to USB; and all I have to do is disable eDSP so it's not filtering/modifying my transmissions. Although, even if I forget to do that; it doesn't affect FT8
operations.

I'm not upset about all the work I did to get the thing going with PKT. While I'm sure PKT mode is nice for packet; I've only actually run packet once doing APRS on
30m. Even if I wanted to do that again, I could still do it through the DVS2 port. I could look in the manual to see what, if any, advantages PKT offers for actual
packet. But I did it through Direwolf on my IC-725 which had zero special features. All in all it was a great learning experience all around. I have a fantastic rig
that's ready to operate just about anything I want it to do. It's a really nice rig for being a few generations back. I can understand why people who have them are
reluctant to give them up.
